
#include <stdio.h>
#include <stdlib.h>
#include "vidmode.h"

int main( int argc, char **argv )
{
    vidmode_t *vm;

    vm = vidmode_new();
    if( !vm ) {
        fprintf( stderr, "vidinfo: Can't get info for display '%s'.\n", getenv( "DISPLAY" ) );
        return 1;
    }

    fprintf( stderr, "vidinfo: Printing mode information.\n" );
    vidmode_print_modeline( vm );

    fprintf( stderr, "vidinfo: Done, exiting.\n" );
    vidmode_delete( vm );
    return 0;
}

